## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.util
Class SybaseasasqlmodelSwitch

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.util.SybaseasasqlmodelSwitch

    public class SybaseasasqlmodelSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SybaseasasqlmodelPackage`

Constructor Summary
`SybaseasasqlmodelSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseBaseTable(BaseTable object)` Returns the result of interpreting the object as an instance of 'Base Table'.
`java.lang.Object` `caseConstraint(Constraint object)` Returns the result of interpreting the object as an instance of 'Constraint'.
`java.lang.Object` `caseDatabase(Database object)` Returns the result of interpreting the object as an instance of 'Database'.
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseForeignKey(ForeignKey object)` Returns the result of interpreting the object as an instance of 'Foreign Key'.
`java.lang.Object` `caseIndex(Index object)` Returns the result of interpreting the object as an instance of 'Index'.
`java.lang.Object` `casePersistentTable(PersistentTable object)` Returns the result of interpreting the object as an instance of 'Persistent Table'.
`java.lang.Object` `caseReferenceConstraint(ReferenceConstraint object)` Returns the result of interpreting the object as an instance of 'Reference Constraint'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpreting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseSybaseASABaseDatabase(SybaseASABaseDatabase object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Database'.
`java.lang.Object` `caseSybaseASABaseForeignKey(SybaseASABaseForeignKey object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Foreign Key'.
`java.lang.Object` `caseSybaseASABaseIndex(SybaseASABaseIndex object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Index'.
`java.lang.Object` `caseSybaseASABaseTable(SybaseASABaseTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Table'.
`java.lang.Object` `caseSybaseASABaseTempTable(SybaseASABaseTempTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Base Temp Table'.
`java.lang.Object` `caseSybaseASADatabase(SybaseASADatabase object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Database'.
`java.lang.Object` `caseSybaseASAForeignKey(SybaseASAForeignKey object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Foreign Key'.
`java.lang.Object` `caseSybaseASAIndex(SybaseASAIndex object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Index'.
`java.lang.Object` `caseSybaseASATable(SybaseASATable object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Table'.
`java.lang.Object` `caseSybaseASATempTable(SybaseASATempTable object)` Returns the result of interpreting the object as an instance of 'Sybase ASA Temp Table'.
`java.lang.Object` `caseSybaseAuthorizedObject(SybaseAuthorizedObject object)` Returns the result of interpreting the object as an instance of 'Sybase Authorized Object'.
`java.lang.Object` `caseSybaseBaseTable(SybaseBaseTable object)` Returns the result of interpreting the object as an instance of 'Sybase Base Table'.
`java.lang.Object` `caseTable(Table object)` Returns the result of interpreting the object as an instance of 'Table'.
`java.lang.Object` `caseTableConstraint(TableConstraint object)` Returns the result of interpreting the object as an instance of 'Table Constraint'.
`java.lang.Object` `caseTemporaryTable(TemporaryTable object)` Returns the result of interpreting the object as an instance of 'Temporary Table'.
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseasasqlmodelSwitch

    public SybaseasasqlmodelSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseSybaseASADatabase

    public java.lang.Object caseSybaseASADatabase(SybaseASADatabase object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Database'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASATable

    public java.lang.Object caseSybaseASATable(SybaseASATable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASAForeignKey

    public java.lang.Object caseSybaseASAForeignKey(SybaseASAForeignKey object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Foreign Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Foreign Key'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASAIndex

    public java.lang.Object caseSybaseASAIndex(SybaseASAIndex object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Index'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Index'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASATempTable

    public java.lang.Object caseSybaseASATempTable(SybaseASATempTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Temp Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Temp Table'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpreting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseDatabase

    public java.lang.Object caseDatabase(Database object)

  Returns the result of interpreting the object as an instance of 'Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Database'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseDatabase

    public java.lang.Object caseSybaseASABaseDatabase(SybaseASABaseDatabase object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Database'.
  See Also:
    `doSwitch(EObject)`

### caseTable

    public java.lang.Object caseTable(Table object)

  Returns the result of interpreting the object as an instance of 'Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table'.
  See Also:
    `doSwitch(EObject)`

### caseBaseTable

    public java.lang.Object caseBaseTable(BaseTable object)

  Returns the result of interpreting the object as an instance of 'Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Base Table'.
  See Also:
    `doSwitch(EObject)`

### casePersistentTable

    public java.lang.Object casePersistentTable(PersistentTable object)

  Returns the result of interpreting the object as an instance of 'Persistent Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Persistent Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseAuthorizedObject

    public java.lang.Object caseSybaseAuthorizedObject(SybaseAuthorizedObject object)

  Returns the result of interpreting the object as an instance of 'Sybase Authorized Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Authorized Object'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseBaseTable

    public java.lang.Object caseSybaseBaseTable(SybaseBaseTable object)

  Returns the result of interpreting the object as an instance of 'Sybase Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Base Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseTable

    public java.lang.Object caseSybaseASABaseTable(SybaseASABaseTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Table'.
  See Also:
    `doSwitch(EObject)`

### caseConstraint

    public java.lang.Object caseConstraint(Constraint object)

  Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseTableConstraint

    public java.lang.Object caseTableConstraint(TableConstraint object)

  Returns the result of interpreting the object as an instance of 'Table Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseReferenceConstraint

    public java.lang.Object caseReferenceConstraint(ReferenceConstraint object)

  Returns the result of interpreting the object as an instance of 'Reference Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reference Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseForeignKey

    public java.lang.Object caseForeignKey(ForeignKey object)

  Returns the result of interpreting the object as an instance of 'Foreign Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Foreign Key'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseForeignKey

    public java.lang.Object caseSybaseASABaseForeignKey(SybaseASABaseForeignKey object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Foreign Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Foreign Key'.
  See Also:
    `doSwitch(EObject)`

### caseIndex

    public java.lang.Object caseIndex(Index object)

  Returns the result of interpreting the object as an instance of 'Index'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Index'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseIndex

    public java.lang.Object caseSybaseASABaseIndex(SybaseASABaseIndex object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Index'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Index'.
  See Also:
    `doSwitch(EObject)`

### caseTemporaryTable

    public java.lang.Object caseTemporaryTable(TemporaryTable object)

  Returns the result of interpreting the object as an instance of 'Temporary Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Temporary Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseASABaseTempTable

    public java.lang.Object caseSybaseASABaseTempTable(SybaseASABaseTempTable object)

  Returns the result of interpreting the object as an instance of 'Sybase ASA Base Temp Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase ASA Base Temp Table'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`